Loading ...
Sorry, an error occurred while loading the content.
 

Re: [id-ruby] mysql's affected_rows

Expand Messages
  • Edwin Pratomo
    ... ini sudah yg paling baru. tempo hari pake gem install ngga bisa. install manual berhasil kalo pass opsi: ruby extconf.rb --with-mysql-config bagaimana
    Message 1 of 3 , Jul 15, 2005
      On Friday 15 July 2005 05:31, Arie Kusuma Atmaja wrote:
      > Edwin Pratomo wrote:
      > > dbh.func(:affected_rows) kenapa dapetnya error:
      > >
      > > /usr/lib/site_ruby/1.8/dbi/dbi.rb:558:in `func': Driver specific function
      > > <affected_rows> not available. (DBI::InterfaceError)
      > >
      > > padahal di mysql-ruby ada method tsb.
      >
      > dulu juga pernah dapet error tsb. Ternyata sampe skrg masi gitu. Well,
      > coba pakai gem install mysql aja siapa tau bisa solved.

      ini sudah yg paling baru. tempo hari pake gem install ngga bisa. install
      manual berhasil kalo pass opsi: ruby extconf.rb --with-mysql-config
      bagaimana meneruskan opsi seperti ini via gem?

      btw nampaknya ini lebih ke masalah dokumentasi. affected_rows sengaja tidak
      dibuat public karena dipandang ngga thread safe. kalo lihat di
      DBD/Mysql/Mysql.rb, pemanggilan affected_rows diprotek mutex.
      yg backgroundnya Perl / PHP mungkin ngga kepikir sampe sono :-)

      kalo tetep mau bikin dia callable via func(), tinggal nambahin

      def __affected_rows
      @..._rows
      end

      di class Database. tapi ya itu, resiko ditanggung penumpang :-)

      rgds,
      Edwin.
    Your message has been successfully submitted and would be delivered to recipients shortly.